Data::Util::Error(3pm)

NAME
Data::Util::Error - Deals with class-specific error handlers in Data::Util

SYNOPSIS
        package Foo;
        use Data::Util::Error sub{ Foo::InvalidArgument->throw_error(@_) };
        use Data::Util qw(:validate);

        sub f{
                my $x_ref = array_ref shift; # Foo::InvalidArgument is thrown if invalid
                # ...
        }

Functions

Data::Util::Error->fail_handler()
Data::Util::Error->fail_handler($handler)
Data::Util::Error::croak(@args)

SEE ALSO
Data::Util.